Bug 150970 - Bind Upgrades Kills My Config
Bind Upgrades Kills My Config
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-03-12 23:06 EST by Marc Perkel
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-18 11:24:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marc Perkel 2005-03-12 23:06:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6)
Gecko/20050225 Firefox/1.0.1

Description of problem:
Please DON'T try to conver my configuration to the chroot model. Evey
time the automatic upgrades runs it shuts down my name servers. I want
you to leave the configuration alone and DO NOT RECONFIGURE MY SERVER.

This seems to happen with every upgrade. If I wanted chrrot I would
set it that way but I don't want it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.It just happens every time yum installs an upgrade

Additional info:
Comment 1 Jason Vas Dias 2005-03-13 14:08:49 EST
All you need to do is uninstall the bind-chroot package - then 
bind-chroot would not be updated by a yum upgrade; only if 
bind-chroot is installed before the yum upgrade will it be updated.

When bind-chroot is installed, it sets ROOTDIR in /etc/sysconfig/named
to /var/named/chroot, and moves any BIND configuration files in 
/{etc,var/named} to $ROOTDIR/{etc,var/named} .

Neither bind nor bind-chroot ever modify any pre-existing BIND 
configuration files.

The caching-nameserver package does backup the BIND configuration
files to .rpmsave files and replaces them with files for a 
Caching Only nameserver. If you want to maintain your own modified
BIND configuration, backup your BIND configuration files and remove
the caching-nameserver package.

You say:
"Evey time the automatic upgrades runs it shuts down my name servers":
BIND, bind-chroot and caching-nameserver should always leave the 
server in the state it was in before upgrade; if named was running
before upgrade, it should still be running after upgrade, with the 
same chkconfig level status .  All bind upgrades must RESTART the
servers, since new libraries / executables are being installed - but
the state should be the same before as after the upgrade.
If this fails for you - ie. if named was running before the upgrade
and not afterwards - then please let me know - I've not been able to
produce any problems of this sort during upgrade testing . It would be 
most helpful in this case if you could re-do the upgrade with the
   # rpm -Uvvv bind*.rpm 2>&1 | tee /tmp/bind-upgrade.log
and append the log file to this bug.
Comment 2 Jason Vas Dias 2005-03-18 11:24:48 EST
I am not able to reproduce this problem . In the absence of the 
further information requested, this bug is now being closed .

Note You need to log in before you can comment on or make changes to this bug.